Name: sweets-sugar
Version: 0.94.1

Release: 8.1
Group: Development/Tools/Other
Summary: Core UI components
License: LGPLv2+
Url: http://git.sugarlabs.org/projects/sugar

Source: sugar-0.94.1.tar.gz
Source1: sweet.tar.gz



Requires: dbus
Requires: dbus-x11
Requires: GConf2
Requires: gtk2
Requires: gvfs
Requires: iso-codes
Requires: gnome-python2-libwnck
Requires: metacity >= 2.27
Requires: openssh-clients
Requires: pygtk2
Requires: pygtksourceview
Requires: python-xklavier
Requires: python-simplejson
Requires: sweets-sugar-artwork
Requires: sweets-sugar-datastore
Requires: sweets-sugar-presence-service
Requires: sweets-sugar-toolkit
Requires: sweets-telepathy-gabble >= 0.10
Requires: sweets-telepathy-mission-control >= 5.6
Requires: sweets-telepathy-python
Requires: sweets-telepathy-salut >= 0.4
Requires: xorg-x11-utils
Requires: xorg-x11-server-Xephyr
Requires: xorg-x11-server-utils
BuildRequires: gcc
BuildRequires: GConf2-devel
BuildRequires: gnome-common
BuildRequires: gtk2-devel
BuildRequires: intltool >= 0.33
BuildRequires: libtool
BuildRequires: make
BuildRequires: pkgconfig
BuildRequires: pygtk2-devel
BuildRequires: xdg-utils
BuildRequires: xdg-user-dirs-gtk
BuildRequires: desktop-file-utils
BuildRequires: shared-mime-info
BuildRequires: python




BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}
AutoProv: no
AutoReq:  no
BuildArch: noarch

%description
Core UI components

%prep
%setup -n sugar-0.94.1

tar xzpvf %{SOURCE1} -C %{_sourcedir}


%build
./configure --prefix=/opt/sweets/sugar am_cv_python_pythondir=/opt/sweets/sugar/src am_cv_python_pyexecdir=/opt/sweets/sugar/src CFLAGS="${CFLAGS}"
make

%install

# Such scripts might, e.g., compress man files that will break %files logic
%undefine __os_install_post

make DESTDIR=%{buildroot}/.dest install && GCONF_CONFIG_SOURCE=xml:merged:gconf gconftool-2 --makefile-install-rule data/sugar.schemas >/dev/null && chmod a+rx gconf && chmod a+r gconf/* && mv gconf %{buildroot}/.dest//opt/sweets/sugar/ && update-mime-database %{buildroot}/.dest//opt/sweets/sugar/share/mime
python %{_sourcedir}/sweet_install.py move rpm %{_sourcedir}/sweet_files %{buildroot} /opt/sweets/sugar '' '' > sweets-sugar.files
[ -f sweets.recipe ] && spec=sweets.recipe || spec=%{_sourcedir}/sweets.recipe; cp $spec %{buildroot}/.dest/sweets.recipe
echo /opt/sweets/sugar/sweets.recipe >> sweets-sugar.files
python %{_sourcedir}/sweet_install.py move rpm %{buildroot}/.dest %{buildroot} /opt/sweets/sugar '' '' >> sweets-sugar.files
install -m 0755 -d %{buildroot}/%{_bindir}
ln -s /opt/sweets/sugar/sweets-sugar %{buildroot}/%{_bindir}/
echo %{_bindir}/sweets-sugar >> sweets-sugar.files
chmod 0755 %{buildroot}//opt/sweets/sugar/sweets-sugar
ln -s /opt/sweets/sugar/sweets-sugar-emulator %{buildroot}/%{_bindir}/
echo %{_bindir}/sweets-sugar-emulator >> sweets-sugar.files
chmod 0755 %{buildroot}//opt/sweets/sugar/sweets-sugar-emulator
rm -rf %{buildroot}/.dest
install -m 0755 -d %{buildroot}/opt/sweets/sugar
(cd %{buildroot}; find . -name "*.py" -printf "%h\n" | sort | uniq | sed s/^.// > opt/sweets/sugar/pydirs)
echo /opt/sweets/sugar/pydirs >> sweets-sugar.files

%post
test -e /opt/sweets/sugar/pydirs && for i in `cat /opt/sweets/sugar/pydirs`; do python -m compileall -l $i >/dev/null; python -O -m compileall -l $i >/dev/null; done; true

%preun
test -e /opt/sweets/sugar/pydirs && for i in `cat /opt/sweets/sugar/pydirs`; do rm -f $i/*.pyc $i/*.pyo; done; true

%clean
rm -rf %{buildroot}

%files -f sweets-sugar.files

%changelog
